Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 889189 - FTBFS ... bad %if condition on RHEL > 6
Summary: FTBFS ... bad %if condition on RHEL > 6
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-migrate
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pádraig Brady
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-20 13:15 UTC by Matěj Cepl
Modified: 2018-04-11 09:06 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 890016 (view as bug list)
Environment:
Last Closed: 2012-12-21 11:42:30 UTC
Type: Bug


Attachments (Terms of Use)
suggested patch (773 bytes, patch)
2012-12-20 13:15 UTC, Matěj Cepl
no flags Details | Diff

Description Matěj Cepl 2012-12-20 13:15:26 UTC
Created attachment 666653 [details]
suggested patch

Build fails on RHEL-7, where we have python 2.7 so we don’t python-unittest2 anymore.

Comment 1 Pádraig Brady 2012-12-21 11:42:30 UTC
I applied the patch, but now the rawhide build fails with:

"from sqlalchemy import exceptions as sa_exceptions
ImportError: cannot import name exceptions"

So looks like the update to sqlalchemy 0.8.0 beta
is not compatible, so migrate will need updating too?

Given that RHEL7 is on python-sqlalchemy-0.7.8,
and the build works on F18 (python-sqlalchemy-0.7.9)
I'm marking this particular issue as done.

Comment 2 Matěj Cepl 2012-12-24 00:54:23 UTC
(In reply to comment #1)
> Given that RHEL7 is on python-sqlalchemy-0.7.8,
> and the build works on F18 (python-sqlalchemy-0.7.9)
> I'm marking this particular issue as done.

Shouldn't we at least make a clone of this bug for Rawhide (i.e., upgrade to the latest sqlalchemy-migrate when it is available)?

Comment 3 Pádraig Brady 2012-12-24 10:54:12 UTC
Was on my TODO list.
Created bug 890016 to track the sqlalchemy 0.8 incompat issue


Note You need to log in before you can comment on or make changes to this bug.